
Name:		kvirc
Version:	5.0.0
Release:	%mkrel 3

Summary:	Qt IRC client
Summary(de):	Qt-basierten IRC-Client
Group:		Graphical desktop/KDE5
License:	GPLv2+ with exceptions
URL:		http://www.kvirc.net
Source0:	%name-%version.tar.xz
Source1:	kvirc-4.0.4-irc.protocol
Source2:	kvirc-4.0.4-irc6.protocol
Patch1:		0001-Fix-build-with-Qt-5.15+.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
#-------------------------------------------
BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: lib64audiofile-devel
BuildRequires: lib64enchant-devel
BuildRequires: lib64esound-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5notifications-devel
BuildRequires: lib64kf5service-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kf5windowsystem-devel
BuildRequires: lib64kf5xmlgui-devel
BuildRequires: lib64ogg-devel
BuildRequires: lib64openssl-devel
BuildRequires: lib64python-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5multimedia-devel
BuildRequires: lib64qt5multimediawidgets-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64qt5sql-devel
BuildRequires: lib64qt5webkit-devel
BuildRequires: lib64qt5webkitwidgets-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5x11extras-devel
BuildRequires: lib64qt5xml-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xscrnsaver-devel
BuildRequires: libtheora-devel
BuildRequires: pkgconfig
BuildRequires: qtbase5-common-devel
BuildRequires: x11-proto-devel
BuildRequires: zlib1-devel
#-------------------------------------------

%description
Qt-based IRC client with support for themes, transparency, encryption,
many extended IRC features, and scripting.

%description -l de
Qt-basierten IRC-Client mit Unterstützung für Themen, die Transparenz, Verschlüsselung,
IRC viele erweiterte Funktionen und Scripting.

%description -l nl
Qt-gebaseerde IRC-client met ondersteuning voor thema's, transparantie, encryptie,
IRC vele uitgebreide functies, en scripting.


%prep 
%setup -qn KVIrc-5.0.0
%apply_patches

%build
%{cmake}  \
-DCMAKE_SKIP_RPATH=ON \
-DWANT_ENV_FLAGS=ON \
-DWANT_DCC_VIDEO=ON \
-DWANT_OGG_THEORA=ON

%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-Chat" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

install -m755 -d %{buildroot}%{_kf5_services}
install -m644 %{S:1} %{buildroot}%{_kf5_services}/_irc.protocol
install -m644 %{S:2} %{buildroot}%{_kf5_services}/_irc6.protocol 
  
# Language files; not under /usr/share/locale, need to be handled manually
  (cd %{buildroot} && find . -name '*.mo') | sed -e 's|^.||' | sed -e \
  's:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
  >> %{name}.lang

#uneeded devel files  
rm -f %buildroot/%{_kf5_bindir}/kvirc-config
rm -f %buildroot/%{_kf5_libdir}/libkvilib.so


%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_kf5_bindir}/%{name}
%{_kf5_libdir}/%{name}/
%{_kf5_applicationsdir}/%{name}.desktop
%{_kf5_datadir}/pixmaps/%{name}.png
%{_kf5_services}/_irc*.protocol
%{_kf5_iconsdir}/hicolor/*/*/*.*
%{_kf5_mandir}/man1/*.1*
%dir %{_kf5_datadir}/%{name}
%dir %{_kf5_datadir}/%{name}/5.0
%dir %{_kf5_datadir}/%{name}/5.0/locale
%{_kf5_datadir}/%{name}/5.0/audio/
%{_kf5_datadir}/%{name}/5.0/config/
%{_kf5_datadir}/%{name}/5.0/defscript/
%{_kf5_datadir}/%{name}/5.0/help/
%{_kf5_datadir}/%{name}/5.0/modules/
%{_kf5_datadir}/%{name}/5.0/msgcolors/
%{_kf5_datadir}/%{name}/5.0/pics/
%{_kf5_datadir}/%{name}/5.0/themes/
%{_kf5_datadir}/%{name}/5.0/license/
%{_kf5_mandir}
%{_kf5_libdir}/libkvilib.so.*

%changelog
* Sat Jun 20 2020 tex - 5.0.0-3pclos2020
- rebuild against updates
- apply qt 5.15 patch

* Wed Feb 06 2019 tex - 5.0.0-2pclos2019
- rebuild against updates

